Bug 1057488 - Part 1: Add a small bash script to help keeping OTS up-to-date. r=jfkthame
authorFrédéric Wang <fred.wang@free.fr>
Sat, 23 Aug 2014 01:58:00 -0400
changeset 201427 a7e585d5299f3f3bac6c0ae00be687e864179c2a
parent 201426 fe85fa066bf2faf9d1eac18ce04e6bc0b82e6dad
child 201428 a2a702cbbf55c796914404aa35660746e03fa145
push id27369
push userryanvm@gmail.com
push dateMon, 25 Aug 2014 20:25:41 +0000
treeherdermozilla-central@18901d4f3edd [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersjfkthame
bugs1057488
milestone34.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Bug 1057488 - Part 1: Add a small bash script to help keeping OTS up-to-date. r=jfkthame
gfx/ots/sync.sh
new file mode 100755
--- /dev/null
+++ b/gfx/ots/sync.sh
@@ -0,0 +1,28 @@
+# This Source Code Form is subject to the terms of the Mozilla Public
+# License, v. 2.0. If a copy of the MPL was not distributed with this
+# file, You can obtain one at http://mozilla.org/MPL/2.0/.
+
+if [ $# = 0 ] ; then
+    echo "usage: ./sync.sh ots-git-directory"
+    exit 1
+fi
+
+echo "Updating LICENSE..."
+cp $1/LICENSE .
+
+echo "Updating src..."
+cd src
+ls --ignore moz.build | xargs rm -rf
+cp -r $1/src/* .
+cd ..
+
+echo "Updating include..."
+rm -rf include/
+cp -r $1/include .
+
+echo "Updating README.mozilla..."
+REVISION=`cd $1; git log | head -1 | sed "s/commit //"`
+sed "s/\(Current revision: \).*/\1$REVISION/" -i README.mozilla
+
+echo "Applying ots-visibility.patch..."
+patch -p3 < ots-visibility.patch